Bug 107827 - Support non-ascii filenames in orcus gnumeric import
Summary: Support non-ascii filenames in orcus gnumeric import
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.3.4 target:6.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-13 20:35 UTC by Markus Mohrhard
Modified: 2017-07-09 12:20 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Mohrhard 2017-05-13 20:35:34 UTC
Switch from orcus internal file importer to just passing the stream to orcus. LibreOffice supports more content providers than local files and we don't need special handling for non-ascii file names on windows.
Comment 1 Commit Notification 2017-05-13 21:29:38 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5e9178f765b327a8aba17476d135ba3b1f881bf7

import stream on the LibreOffice side, tdf#107827

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2017-05-29 15:18:38 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b1d039c2ce986424a8a7c6e9460924291318ceb7&h=libreoffice-5-3

import stream on the LibreOffice side, tdf#107827

It will be available in 5.3.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2017-07-09 12:20:20 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fb89b081f73a65b27349e98554f744a6ead83c3d

add test for non-ascii gnumeric file names, tdf#107827

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.